%define sqname	squashfs
%define sqver	3.2
%define sqrelease r2
%define release	%mkrel 1.%{sqrelease}.2
%define	Summary	Utilities for the creation of compressed squashfs images

Name:		%{sqname}-tools
Version:	%{sqver}
Release:	%{release}
Summary:	%{Summary}
License:	GPL
Group:		File tools
URL:		http://squashfs.sourceforge.net/
Source0:	%{sqname}%{sqver}-%{sqrelease}.tar.bz2
Source1:	sqlzma.h
Source2:	sqmagic.h
Patch0:		sqlzma2u-3.2-r2.patch
Patch1:		squashfs3.2-r2-nolzma.patch
BuildRequires:	lzma-devel
BuildRequires:	zlib-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
%{Summary}

%prep
%setup -q -n %{sqname}%{sqver}-%{sqrelease}
%patch0 -p1 -b .lzma
%patch1 -p1 -b .nolzma
cp %{SOURCE1} %{SOURCE2} %{name}

%build
%make -C %{name} Sqlzma=. LzmaAlone=%{_libdir} LzmaC=%{_libdir}

%install
rm -rf $RPM_BUILD_ROOT
install -m 755 %{name}/mksquashfs -D $RPM_BUILD_ROOT%{_bindir}/mksquashfs

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ACKNOWLEDGEMENTS CHANGES README
%{_bindir}/mksquashfs


%changelog
* Wed Mar 07 2007 Olivier Blin <oblin@mandriva.com> 3.2-1.r2.2mdv2007.0
+ Revision: 134240
- do not use lzma by default and document a new -lzma option
- add lzma support (from squashfs-lzma.org)

* Tue Feb 13 2007 Olivier Blin <oblin@mandriva.com> 3.2-1.r2.1mdv2007.1
+ Revision: 120480
- 3.2-r2
- Import squashfs-tools



* Fri Sep  1 2006 Arnaud Patard <apatard@mandriva.com> 3.1.1.r2.1mdv2007.0
- 3.1-r2

* Wed Aug 30 2006 Arnaud Patard <apatard@mandriva.com> 3.1-1mdv2007.0
- 3.1

* Mon Jan 23 2006 Arnaud Patard <apatard@mandriva.com> 2.2-1.r2.1mdk
- 2.2-r2

* Tue Mar 22 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.1-1.r2.1mdk
- 2.1-r2
- cosmetics

* Wed Jul 14 2004 Jaco Greeff <jaco@mandrake.org> 2.0-1mdk
- Version 2.0

* Mon Feb 09 2004 Jaco Greeff <jaco@mandrake.org> 1.4-0.1mdk
- Tools version 1.4
- Added patch2 for 1.4 upgrade (only tools)

* Thu Jan 22 2004 Jaco Greeff <jaco@mandrake.org> 1.3r3-1mdk
- Version 1.3r3
- Removed patch0 (Not needed anymore)
- Removed patch1 (Option is in this release)

* Mon Jan 12 2004 Jaco Greeff <jaco@mandrake.org> 1.3r2-2mdk
- Added patch1 to add -ef option (Will be in next release)

* Fri Dec 19 2003 Jaco Greeff <jaco@mandrake.org> 1.3r2-1mdk
- Initial version, 1.3r2
